Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "4062bdb5-ded1-495f-8583-3412c5d696c3",
"purchase_order_id": "c389a97a-5a32-43c5-974f-0abefbd4bb9b",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "a84cd573-6be5-46b1-9c07-08040743bd57",
"id2": 2,
"jobs_id": "496d8351-690c-42a9-946a-022973cc1770",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "61703893-4d4f-4e6e-94af-ad84e44509a4",
"supplier_company_code": "sample string 6",
"user_id": "16f495f8-c7ae-4faa-bd53-becc45dc5ddc",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-11T08:22:35.3681615+00:00",
"date_update": "2026-11-11T08:22:35.3681615+00:00",
"date_delivery": "2026-11-11T08:22:35.3681615+00:00",
"confirmed_date_delivery": "2026-11-11T08:22:35.3681615+00:00",
"delivery_db_address_id": "21b28b25-65b7-49d1-acbf-60f4bc9bcbcc",
"approved_by_user_id": "5d73c874-7b4c-49ed-af28-a2099556bc74",
"approved_by_user_code": "sample string 18",
"technical_user_id": "154da531-149e-4a8b-b28b-353826f1e392",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "a7de8eb0-66f1-4c9c-8c6c-157d59ac75ed",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "31f3ad0d-5924-4290-b287-5e56e3b85e05",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-11T08:22:35.3871914+00:00"
},
"article_id": "010ce613-e242-459e-963e-e465946f1a4d",
"article_code": "sample string 5",
"article": {
"id": "8f486b41-a47c-4167-b673-bcdd30b70bf7",
"article_category_id": "c7726f8e-72e7-4a5a-bd53-de3fb9dd0f63",
"article_category": {
"id": "74cf919d-e126-4bf1-88fd-05689ef8528f",
"parent_id": "d8db90f0-7a4e-4c8e-89fa-339f45b2af01",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-11T08:22:35.3871914+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "738e0b71-35ba-4fa3-8590-ba4f79fe699d",
"article_group_1_code": "sample string 5",
"article_group_2_id": "191dea0e-344d-4e13-a5a7-8e7f8b2c8fdb",
"article_group_2_code": "sample string 7",
"article_group_3_id": "d88e8485-9f1e-481e-ab2a-b1337c741456",
"article_group_3_code": "sample string 9",
"article_group_4_id": "c0188a65-cb38-4026-a2bd-311a10df807b",
"article_group_4_code": "sample string 11",
"article_group_5_id": "1fc93084-d24e-4d85-a74b-9c67083c79fa",
"article_group_5_code": "sample string 13",
"article_group_6_id": "6ce2b732-5c8f-4cd3-af45-99fadb8a22cc",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-11T08:22:35.3871914+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-11T08:22:35.3871914+00:00",
"date_update": "2026-11-11T08:22:35.3871914+00:00",
"modified_dateutc": "2026-11-11T08:22:35.3871914+00:00",
"article_color_id": "3471d00f-29dd-4249-866e-4d24a83f1d24",
"article_color_code": "sample string 38",
"article_color": {
"id": "73f35182-2ebe-4851-a6d3-90a7c40bf927",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-11T08:22:35.3871914+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "a7f4db74-a1b8-485d-bcda-552660cef6eb",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "9e2f0fa4-65b7-41fc-aaf9-77447ddf455c",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-11T08:22:35.3871914+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.